<?xml version="1.0"?>
<psalm
        totallyTyped="true"
        reportMixedIssues="true"
        strictBinaryOperands="true"
        findUnusedVariablesAndParams="true"
        findUnusedCode="false"
        ensureArrayStringOffsetsExist="false"
        errorLevel="8"
        resolveFromConfigFile="false"
        rememberPropertyAssignmentsAfterCall="true"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="https://getpsalm.org/schema/config"
        xsi:schemaLocation="https://getpsalm.org/schema/config vendor/vimeo/psalm/config.xsd"
>
    <projectFiles>
        <directory name="module" />
        <ignoreFiles>
            <directory name="vendor" />
        </ignoreFiles>
    </projectFiles>
    <issueHandlers>
        <PropertyNotSetInConstructor>
            <errorLevel type="suppress">
                <directory name="module/theatre/tests" />
            </errorLevel>
        </PropertyNotSetInConstructor>
    </issueHandlers>
</psalm>